skip to navigation
skip to content

plotdevice 0.10.0

Create two-dimensional graphics and animations with code

PlotDevice is a Macintosh application used for computational graphic design. It provides an interactive Python environment where you can create two-dimensional graphics and output them in a variety of vector, bitmap, and animation formats. It is meant both as a sketch environment for exploring generative design and as a general purpose graphics library for use in stand-alone Python programs.

PlotDevice is a fork of NodeBox 1.9.7rc1 with support for modern versions of Python and Mac OS.

The new version features:

  • Python 3 compatible
  • Can now be built with system Python or Homebrew versions of the interpreter
  • Much faster import times on Yosemite thanks to a bundled copy of PyObjC 3.0.4
  • HTTP is now handled by the requests module and caches responses locally
  • Totally revamped typography system with support for OpenType features, pagination, multi-column text, character geometry, and more
  • Added 130+ unit tests (run them with python setup.py test) plus bugfixes for for measure(), textpath(), Bezier.fit(), read(), and the Preferences dialog

Version 0.9.4 added:

  • Enhanced command line interface.
  • New text editor with tab completion, syntax color themes, and emacs/vi bindings.
  • Video export in H.264 or animated gif formats (with GCD-based i/o).
  • Added support for external editors by reloading the source when changed.
  • Build system now works with Xcode or py2app for the application and pip for the module.
  • Virtualenv support (for both installation of the module and running scripts with dependencies).
  • External scripts can use from plotdevice import * to create a drawing environment.
  • Simplified bezier & affine transform api using the python ‘with’ statement
  • New compositing operations for blend mode, global opacity, and dropshadows
  • Simplified typography commands with stylesheet-based character styles
  • Now uses the system’s Python 2.7 interpreter.

Requirements:

  • Mac OS X 10.9+
  • Python 2.7 or 3.4+
  • the requests, cachecontrol, and lockfile modules
 
File Type Py Version Uploaded on Size
plotdevice-0.10.0.tar.gz (md5) Source 2015-07-27 2MB